body, html {
    margin: 0;
    padding: 0;
    height: 100%;
}

.container {
    display: flex;
    height: 100vh;
}


.main-content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

.table-container {
    flex-grow: 1;
    padding: 4px;
    display: flex;
    flex-direction: column;
    border: 2px solid var(--sidebar-bg) !important; /* Imposta il colore e lo spessore del bordo */
    /*box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);*/ /* Aggiungi l'ombreggiatura */
    border-radius: 10px; /* Aggiungi angoli arrotondati, opzionale */
    border: thin;
    border-style: solid;
    border-color: #2b4f74;
    background-color: var(--sidebar-bg); /* Aggiungi angoli arrotondati, opzionale */
    overflow:hidden;
}

#tableWrapper {
    /*min-width: 800px;*/
    border: 1px solid var(--sidebar-bg)  !important; /* Imposta il colore e lo spessore del bordo */
}

#tabellaContenuti {
    width: 100% !important;
    
}

.dataTables_wrapper {
    width: 100%;
}

.table-top-elements-row {
    padding-bottom: 10px;
}

.table-bottom-elements-row {
    padding-top: 10px;
}

.table-elements-col-alignment-right {
    text-align: right; /* Forza l'allineamento a destra */
}

/* Sovrascrivo solo lo sfondo e il colore del testo nell'header della tabella */
table.dataTable thead {
    background-color: #2b4f74 !important;
    color: #f8f5f0 !important;
    font-style: normal !important;
    font-weight: normal !important;
    white-space: nowrap !important;
    overflow: hidden; /* Evita che il testo vada fuori bordo */
    text-overflow: ellipsis; /* Aggiunge ellissi quando il testo è troppo lungo */
}

    /* Specifica il colore delle celle dell'header */
    table.dataTable thead th {
        background-color: inherit !important;  
        color: inherit !important;  
        font-style: inherit !important; 
        font-weight: normal !important; 
    }


#RenderBodyContent {
    margin-bottom: 3em;
}

/* riga selezionata - inizio */
.selected {
    background-color: #0d6efd !important;
    color: white !important;
}

    .selected td {
        color: white !important;
    }

.table tbody tr:hover {
    cursor: pointer;
}
/* riga selezionata - fine */
